xmlgraphics-batik-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Felix Natter <fnat...@gmx.net>
Subject Re: Maven config for batik 1.9
Date Wed, 18 Oct 2017 10:39:30 GMT
Felix Natter <fnatter@gmx.net> writes:

> hello,
>
> we (the freeplane project) are using batik for exporting the mindmap
> canvas to SVG and PDF (with FOP).
> I would like to clean this up and move to batik 1.9 and FOP 2.1.  Is
> there a recommended maven config for the SVG/PDF generation from Swing
> use case?

It took some time to figure it out, but here is a working config:

	compile 'org.apache.xmlgraphics:batik-svggen:1.9.1'
	compile 'org.apache.xmlgraphics:batik-swing:1.9.1'
	compile 'org.apache.xmlgraphics:batik-util:1.9.1'
	compile 'org.apache.xmlgraphics:batik-constants:1.9.1'
	compile 'org.apache.xmlgraphics:batik-awt-util:1.9.1'
	compile 'org.apache.xmlgraphics:batik-gvt:1.9.1'
	compile 'org.apache.xmlgraphics:batik-bridge:1.9.1'
	compile 'org.apache.xmlgraphics:batik-css:1.9.1'
	compile 'org.apache.xmlgraphics:batik-anim:1.9.1'
	compile 'org.apache.xmlgraphics:batik-svg-dom:1.9.1'
	compile 'org.apache.xmlgraphics:batik-dom:1.9.1'
	compile 'org.apache.xmlgraphics:batik-i18n:1.9.1'
	compile 'org.apache.xmlgraphics:batik-script:1.9.1'
	compile 'org.apache.xmlgraphics:batik-xml:1.9.1'
	compile 'org.apache.xmlgraphics:batik-gui-util:1.9.1'
	compile 'org.apache.xmlgraphics:batik-parser:1.9.1'
	compile 'org.apache.xmlgraphics:batik-transcoder:1.9.1' // [PDF]
	
	// org.w3c.dom.svg.SVGDocument
	compile 'xml-apis:xml-apis:1.4.01'
	compile 'xml-apis:xml-apis-ext:1.3.04'
	
	// org.apache.xmlgraphics.java2d.color.NamedColorSpace
	compile group: 'org.apache.xmlgraphics', name: 'xmlgraphics-commons', version: '2.2'

	compile group: 'org.apache.xmlgraphics', name: 'fop', version: '2.1'

	// PDF problem: org.apache.avalon.framework.configuration.Configurable
	compile group: 'org.apache.avalon.framework', name: 'avalon-framework-api', version: '4.3.1'
	// PDF problem: org.apache.avalon.framework.configuration.DefaultConfiguration
	compile group: 'org.apache.avalon.framework', name: 'avalon-framework-impl', version: '4.3.1'

	// PDF problem: org.apache.commons.logging.Log
	compile 'commons-logging:commons-logging:1.2'

  // commons-io is also needed, but I pulled this from another project/bundle.

Cheers and Best Regards,
-- 
Felix Natter
debian/rules!

---------------------------------------------------------------------
To unsubscribe, e-mail: batik-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: batik-users-help@xmlgraphics.apache.org


Mime
View raw message